summaryrefslogtreecommitdiffstats
path: root/scripts/zfault.sh
diff options
context:
space:
mode:
authorNed Bass <[email protected]>2010-11-23 11:19:57 -0800
committerBrian Behlendorf <[email protected]>2010-11-29 10:53:53 -0800
commit31165fd9aacefb0f606ced8265de34247e9f9bc5 (patch)
treef24e6d032c2826b4cdffbdd747cb55e2507e1a77 /scripts/zfault.sh
parent5e7affae52365f9f329cc63a53ae570352c4d993 (diff)
Remove partition from vdev name in zfault.sh
As of the 0.5.2 tag, names of whole-disk vdevs must be specified to the command line tools without partition identifiers. This commit fixes a 'zpool online' command in zfault.sh that incorrectly includes he partition in the vdev name, causing test 9 to fail. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'scripts/zfault.sh')
-rwxr-xr-xscripts/zfault.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/zfault.sh b/scripts/zfault.sh
index 07a411a0e..da4f16f4f 100755
--- a/scripts/zfault.sh
+++ b/scripts/zfault.sh
@@ -916,7 +916,7 @@ test_write_timeout_hard() {
# resilvered without error and we should see minimally the zfs.io,
# zfs.statechange (VDEV_STATE_HEALTHY (0x7)), and zfs.resilver.*
# events posted.
- ${ZPOOL} online ${POOL_NAME} ${VDEV_FAULTY}1 || fail 51
+ ${ZPOOL} online ${POOL_NAME} ${VDEV_FAULTY} || fail 51
sleep 3
test `zpool_event "zfs.io" "zio_err"` = "0x5" || fail 52
test `zpool_event "zfs.statechange" "vdev_state"` = "0x7" || fail 53